/// 反馈列表数据
class FeedbackRecordDataModel {
  List<FeedbackRecordDataItemModel> data;

  FeedbackRecordDataModel({this.data});

  FeedbackRecordDataModel.fromJson(Map<String, dynamic> json) {
    if (json['data'] != null) {
      data = new List<FeedbackRecordDataItemModel>();
      json['data'].forEach((v) {
        data.add(new FeedbackRecordDataItemModel.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class FeedbackRecordDataItemModel {
  String id;
  String type;
  String typeText;
  String state;
  String title;
  String content;
  List<String> imageList;
  String createTime;

  FeedbackRecordDataItemModel({this.id, this.type, this.typeText, this.state, this.title, this.content, this.imageList, this.createTime});

  FeedbackRecordDataItemModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    type = json['type'];
    typeText = json['type_text'];
    state = json['state'];
    title = json['title'];
    content = json['content'];
    imageList = json['image_list'].cast<String>();
    createTime = json['create_time'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['type'] = this.type;
    data['type_text'] = this.typeText;
    data['state'] = this.state;
    data['title'] = this.title;
    data['content'] = this.content;
    data['image_list'] = this.imageList;
    data['create_time'] = this.createTime;
    return data;
  }
}
